package net.minecraft.world.level.biome;

import net.minecraft.world.level.storage.LevelData;

public class CheckerboardBiomeSourceSettings implements BiomeSourceSettings {
    private Biome[] allowedBiomes;
    private int size;
    
    public CheckerboardBiomeSourceSettings(final LevelData crm) {
        this.allowedBiomes = new Biome[] { Biomes.PLAINS };
        this.size = 1;
    }
    
    public CheckerboardBiomeSourceSettings setAllowedBiomes(final Biome[] arr) {
        this.allowedBiomes = arr;
        return this;
    }
    
    public CheckerboardBiomeSourceSettings setSize(final int integer) {
        this.size = integer;
        return this;
    }
    
    public Biome[] getAllowedBiomes() {
        return this.allowedBiomes;
    }
    
    public int getSize() {
        return this.size;
    }
}
